From 59aa1947a25906840d26570e1a286d9796220044 Mon Sep 17 00:00:00 2001
From: Danish Prakash <contact@danishpraka.sh>
Date: Thu, 23 Jan 2025 12:54:08 +0530
Subject: [PATCH 2/2] vendor: update c/buildah to 1.33.12

This patch merges upstream the backports for
the following CVEs:
- CVE-2024-9676 (bsc#1231698)
- CVE-2024-9675 (bsc#1231499)
- CVE-2024-9407 (bsc#1231208)
- CVE-2024-9341 (bsc#1231230)

Fixes: CVE-2024-11218 (bsc#1236270)

Signed-off-by: Danish Prakash <contact@danishpraka.sh>
---
 go.mod                                        |   8 +-
 go.sum                                        |  16 +-
 .../github.com/containers/buildah/.cirrus.yml |  12 +-
 .../containers/buildah/.packit.yaml           |   6 -
 .../containers/buildah/CHANGELOG.md           |  38 ++
 .../containers/buildah/changelog.txt          |  34 ++
 .../containers/buildah/define/types.go        |  42 +-
 .../buildah/imagebuildah/stage_executor.go    |  25 +-
 .../containers/buildah/internal/open/open.go  |  39 ++
 .../buildah/internal/open/open_linux.go       |  88 ++++
 .../buildah/internal/open/open_types.go       |  28 ++
 .../buildah/internal/open/open_unix.go        | 168 +++++++
 .../buildah/internal/open/open_unsupported.go |   7 +
 .../containers/buildah/internal/types.go      |   8 +-
 .../buildah/internal/volumes/bind_linux.go    | 102 ++++
 .../buildah/internal/volumes/bind_notlinux.go |  15 +
 .../buildah/internal/volumes/volumes.go       | 440 +++++++++++++-----
 .../containers/buildah/pkg/overlay/overlay.go |  17 +-
 .../buildah/pkg/overlay/overlay_linux.go      |  16 +
 .../pkg/overlay/overlay_unsupported.go        |  20 +
 vendor/github.com/containers/buildah/run.go   |  12 +-
 .../containers/buildah/run_common.go          | 177 ++++---
 .../containers/buildah/run_freebsd.go         |  11 +-
 .../containers/buildah/run_linux.go           |  41 +-
 .../common/pkg/subscriptions/subscriptions.go |   6 +-
 .../containers/common/version/version.go      |   2 +-
 .../image/v5/docker/docker_image.go           |   9 +
 .../containers/image/v5/version/version.go    |   2 +-
 .../github.com/containers/storage/.cirrus.yml |   2 +-
 vendor/github.com/containers/storage/VERSION  |   2 +-
 .../storage/drivers/overlay/overlay.go        |  42 +-
 .../github.com/containers/storage/userns.go   |  92 ++--
 .../containers/storage/userns_unsupported.go  |  14 +
 .../hashicorp/go-retryablehttp/client.go      |  28 +-
 vendor/modules.txt                            |   9 +-
 35 files changed, 1262 insertions(+), 316 deletions(-)
 create mode 100644 vendor/github.com/containers/buildah/internal/open/open.go
 create mode 100644 vendor/github.com/containers/buildah/internal/open/open_linux.go
 create mode 100644 vendor/github.com/containers/buildah/internal/open/open_types.go
 create mode 100644 vendor/github.com/containers/buildah/internal/open/open_unix.go
 create mode 100644 vendor/github.com/containers/buildah/internal/open/open_unsupported.go
 create mode 100644 vendor/github.com/containers/buildah/internal/volumes/bind_linux.go
 create mode 100644 vendor/github.com/containers/buildah/internal/volumes/bind_notlinux.go
 create mode 100644 vendor/github.com/containers/buildah/pkg/overlay/overlay_unsupported.go
 create mode 100644 vendor/github.com/containers/storage/userns_unsupported.go

diff --git a/go.mod b/go.mod
index a84fbbb1b4bb..eef462a586d6 100644
--- a/go.mod
+++ b/go.mod
@@ -11,15 +11,15 @@ require (
 	github.com/checkpoint-restore/go-criu/v7 v7.0.0
 	github.com/containernetworking/cni v1.1.2
 	github.com/containernetworking/plugins v1.3.0
-	github.com/containers/buildah v1.33.8
-	github.com/containers/common v0.57.5
+	github.com/containers/buildah v1.33.12
+	github.com/containers/common v0.57.7
 	github.com/containers/conmon v2.0.20+incompatible
 	github.com/containers/gvisor-tap-vsock v0.7.2
-	github.com/containers/image/v5 v5.29.3
+	github.com/containers/image/v5 v5.29.4
 	github.com/containers/libhvee v0.5.0
 	github.com/containers/ocicrypt v1.1.10
 	github.com/containers/psgo v1.8.0
-	github.com/containers/storage v1.51.0
+	github.com/containers/storage v1.51.2
 	github.com/coreos/go-systemd/v22 v22.5.1-0.20231103132048-7d375ecc2b09
 	github.com/coreos/stream-metadata-go v0.4.4
 	github.com/crc-org/vfkit v0.1.2-0.20231030102423-f3c783d34420
